function tform = transposeTform

% From MATLAB Techniques for Image Processing by Steve Eddins
% Copyright 2012-2014 The MathWorks, Inc.

% This is a two-dimensional transform.
ndims_in = 2;
ndims_out = 2;

% No extra data is needed to perform the transform.
tdata = [];

tform = maketform('custom',ndims_in,ndims_out, ...
    @T,@T_inv,tdata);

%===================================================================
function xy = T(uv,~)
xy = uv(:,[2 1]);


%===================================================================
function uv = T_inv(xy,~)
uv = xy(:,[2 1]);

